## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global srcname fitsio
%global sum A full featured python library to read from and write to FITS files


Name:           python-%{srcname}
Version:        1.2.4
Release:        %autorelease
Summary:        %{sum}

License:        GPL-2.0-only
URL:            https://github.com/esheldon/fitsio
Source0:        %{pypi_source}

# General
BuildRequires:  cfitsio-devel
BuildRequires:  zlib-devel
BuildRequires:  gcc
# Python 3
BuildRequires:  python3-devel

%global _description %{expand:
This is a python extension written in c and python. Data are read 
into numerical python arrays.}


%description %_description

%package -n python3-%{srcname}
Summary:        %{sum}
BuildRequires: %{py3_dist pytest}
Requires: %{py3_dist pytest}

%description -n python3-%{srcname} %_description

%prep
FITSIO_USE_SYSTEM_FITSIO=""
export FITSIO_USE_SYSTEM_FITSIO
FITSIO_SYSTEM_FITSIO_INCLUDEDIR="%{_includedir}/cfitsio"
export FITSIO_SYSTEM_FITSIO_INCLUDEDIR
FITSIO_SYSTEM_FITSIO_LIBDIR="%{_libdir}"
export FITSIO_SYSTEM_FITSIO_LIBDIR
%autosetup -p1 -n %{srcname}-%{version}

# Remove egg files from source
rm -r %{srcname}.egg-info
# Remove bundled cfitsio, to be sure we are not using it
rm -rf cfitsio-*

%generate_buildrequires
%pyproject_buildrequires


%build
FITSIO_USE_SYSTEM_FITSIO=""
export FITSIO_USE_SYSTEM_FITSIO
FITSIO_SYSTEM_FITSIO_INCLUDEDIR="%{_includedir}/cfitsio"
export FITSIO_SYSTEM_FITSIO_INCLUDEDIR
FITSIO_SYSTEM_FITSIO_LIBDIR="%{_libdir}"
export FITSIO_SYSTEM_FITSIO_LIBDIR
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files fitsio


%check
pushd %{buildroot}/%{python3_sitearch}
  %pytest fitsio
  rm -rf .pytest_cache
popd


%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE.txt
%doc README.md


%changelog
## START: Generated by rpmautospec
* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu Jun 27 2024 Sergio Pascual <sergiopr@fedoraproject.org> - 1.2.4-1
- New upstream source

* Thu Jun 20 2024 Sergio Pascual <sergiopr@fedoraproject.org> - 1.2.3-1
- New upstream source 1.2.3

* Sat Jun 08 2024 Python Maint <python-maint@redhat.com> - 1.2.1-4
- Rebuilt for Python 3.13

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 01 2024 Sergio Pascual <sergiopr@fedoraproject.org> - 1.2.1-1
- Updated to 1.2.1
- Running tests
- License uses SPDX macro

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.8-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jun 13 2023 Python Maint <python-maint@redhat.com> - 1.1.8-4
- Rebuilt for Python 3.12

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Dec 29 2022 Maxwell G <gotmax@e.email> - 1.1.8-2
- Rebuild for cfitsio 4.2

* Tue Sep 27 2022 Christian Dersch <lupinix@mailbox.org> - 1.1.8-1
- Update to 1.1.8

* Sun Aug 07 2022 Mattia Verga <mattia.verga@proton.me> - 1.1.7-1
- Update to 1.1.7 (fedora#2047874)
- switch to modern python build macros

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 1.1.6-3
- Rebuilt for Python 3.11

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Dec 31 2021 Christian Dersch <lupinix@fedoraproject.org> - 1.1.6-1
- new version

* Tue Jul 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.4-3
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 1.1.4-2
- Rebuilt for Python 3.10

* Sun Feb 28 2021 Mattia Verga <mattia.verga@protonmail.com> - 1.1.4-1
- Update to 1.1.4
- Fixes rhbz#1930882

* Tue Feb 02 2021 Christian Dersch <lupinix@mailbox.org> - 1.1.3-3
- Rebuilt for libcfitsio.so.7

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Fri Nov 13 2020 Mattia Verga <mattia.verga@protonmail.com> - 1.1.3-1
- Update to 1.1.3
- Fixes rhbz#1886081

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Fri Jul 17 2020 Christian Dersch <lupinix@fedoraproject.org> - 1.1.2-1
- new version

* Tue May 26 2020 Miro Hrončok <mhroncok@redhat.com> - 1.0.3-6
- Rebuilt for Python 3.9

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Oct 03 2019 Miro Hrončok <mhroncok@redhat.com> - 1.0.3-4
- Rebuilt for Python 3.8.0rc1 (#1748018)

* Mon Aug 19 2019 Miro Hrončok <mhroncok@redhat.com> - 1.0.3-3
- Rebuilt for Python 3.8

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu May 02 2019 Christian Dersch <lupinix@fedoraproject.org> - 1.0.3-1
- new version

* Sun Apr 28 2019 Christian Dersch <lupinix@mailbox.org> - 1.0.1-1
- new version

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.11-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Tue Oct 02 2018 Christian Dersch <lupinix@fedoraproject.org> - 0.9.11-9
- drop python2 subpackage (#1627411)

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.11-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 0.9.11-7
- Rebuilt for Python 3.7

* Sat May 26 2018 Christian Dersch <lupinix@mailbox.org> - 0.9.11-6
- rebuilt for cfitsio 3.450

* Fri Feb 23 2018 Christian Dersch <lupinix@mailbox.org> - 0.9.11-5
- rebuilt for cfitsio 3.420 (so version bump)

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.11-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.11-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Thu Apr 06 2017 Christian Dersch <lupinix@mailbox.org> - 0.9.11-1
- new version

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.10-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.9.10-2
- Rebuild for Python 3.6

* Sat Oct 01 2016 Christian Dersch <lupinix@mailbox.org> - 0.9.10-1
- Initial package

## END: Generated by rpmautospec
